body {
    width: 100%;
    margin: 0px;
    padding: 0px;
    font-family: 'Open Sans', sans-serif;
}


html,
body {
    height: 100%
}

body:after {
    /*擬似要素をつくる*/
    position: fixed;
    /*固定配置*/
    top: 0;
    left: 0;
    /*左上に固定*/
    width: 100%;
    height: 100%;
    /*画面全体を覆う*/
    content: "";
    z-index: -1;
    /*背景にするため*/
    background: linear-gradient(aqua 70%, blue);
}


.container {
    width: auto;
    height: 75px;
    background-color: white;
    padding: 0px;
    border-bottom-left-radius: 70px;
    border-bottom-right-radius: 30px;
    border: 1px solid black;
}

nav {
    position: relative;
    margin-top: 10px;
    width: 700px;
    float: right;
    height: 50px;
    background-color: none;
    font-size: 0;
}

nav a {
    font-size: 20px;
    font-weight: 600;
    text-transform: uppercase;
    margin-top: 15px;
    color: blue;
    line-height: 20px;
    text-decoration: none;
    position: relative;
    z-index: 1;
    display: inline-block;
    text-align: center;
}

nav .animation {
    position: absolute;
    height: 5px;
    bottom: 0;
    z-index: 0;
    background: lightgreen;
    width: 100px;
    border-radius: 10px;
    transition: all .5s ease 0s;
}

a:nth-child(1) {
    width: 100px;
}

nav .start-home,
a:nth-child(1):hover ~ .animation {
    width: 100px;
    left: 0;
}

a:nth-child(2) {
    width: 80px;
}

nav .start-post,
a:nth-child(2):hover ~ .animation {
    width: 80px;
    left: 100px;
}

a:nth-child(3) {
    width: 130px;
}

nav .start-message,
a:nth-child(3):hover ~ .animation {
    width: 130px;
    left: 180px;
}


a:nth-child(4) {
    width: 100px;
}

nav .start-profile,
a:nth-child(4):hover ~ .animation {
    width: 100px;
    left: 310px;
}


a:nth-child(5) {
    width: 150px;
}

nav .start-newuser,
a:nth-child(5):hover ~ .animation {
    width: 150px;
    left: 410px;
}

a:nth-child(6) {
    width: 100px;
}

nav .start-logout,
a:nth-child(6):hover ~ .animation {
    width: 100px;
    left: 560px;
}



.home {
    font-size: 30px;
    font-weight: 900px;
    color: palevioletred;
    padding-top: 20px;
    padding-left: 100px;
    font-weight: 50px;
}


.image1 img {
    height: 500px;
    width: 500px;
    padding-bottom: 100px;
    padding-top: 70px;
    padding-left: 200px;
    display: inline-block;
    float: left;
}

.login-box {
    height: 550px;
    width: 400px;
    display: inline-block;
    float: right;
    color: black;
    margin-right: 100px;
    margin-top: 50px;
    background-color: white;
    border-radius: 30px;
}

.login-box h1 {
    font-size: 40px;
    border-bottom: 6px solid black;
    margin-bottom: 50px;
    padding: 13px 0px;
    text-align: center;
}

.text1 {
    height: 40px;
    width: 80%;
    margin-bottom: 30px;
    margin-left: 30px;
    font-size: 15px;
    border: none;
    border-radius: 5px;
    border-bottom: 1px solid red;
}

.text2 {
    height: 40px;
    width: 80%;
    margin-bottom: 40px;
    margin-left: 30px;
    font-size: 15px;
    border: none;
    border-radius: 5px;
    border-bottom: 1px solid red;
}

.text3 {
    height: 40px;
    width: 80%;
    margin-bottom: 40px;
    margin-left: 30px;
    font-size: 15px;
    border: none;
    border-radius: 5px;
    border-bottom: 1px solid red;
}


.button {
    border: 2px solid #3498db;
    color: blue;
    margin-left: 35px;
    width: 80%;
    background: none;
    font-size: 25px;
    font-family: "montserrat";
    cursor: pointer;
    overflow: hidden;
    border-radius: 10px;
    height: 60px;
    transition: 0.8s;
}

.btn1 {
    color: #3498db;
}

.btn1:hover {
    background: #3498db;
    color: white;
}

button::before {
    content: '';
    position: absolute;
    left: 0;
    width: 100%;
    height: 0%;
    background: #3498db;
    z-index: -1;
    transition: 0.8s;
}

btn1::before {
    top: 10;
    border-radius: 0 0 50% 50%;
}

btn1:hover::before {
    height: 180%;
}
.btn2 {
    border: 2px solid #3498db;
    color: blue;
    margin-top: 40px;
    margin-left: 35px;
    width: 80%;
    background: none;
    font-size: 25px;
    font-family: "montserrat";
    cursor: pointer;
    overflow: hidden;
    border-radius: 10px;
    height: 60px;
    transition: 0.8s;
}

.btn2 {
    color: #3498db;
}

.btn2:hover {
    background: orange;
    color: white;
}

.btn2::before {
    content: '';
    position: absolute;
    left: 0;
    width: 100%;
    height: 0%;
    background: #3498db;
    z-index: -1;
    transition: 0.8s;
}

btn2::before {
    top: 10;
    border-radius: 0 0 50% 50%;
}

btn2:hover::before {
    height: 180%;
}
